All Disputes
curl --request GET \
--url https://nini.monieswitch.com/dispute \
--header 'Authorization: Bearer <token>'import requests
url = "https://nini.monieswitch.com/dispute"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nini.monieswitch.com/dispute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Operation is successful",
"data": {
"size": 20,
"page": 1,
"totalRecords": 6,
"totalPages": 1,
"disputes": [
{
"id": "ad33c553-ba18-47c2-9fba-62915d8d8c30",
"amount": 2000,
"status": "AWAITING_FEEDBACK",
"transactionReference": "random-reference",
"attachments": [
"https://d1hhqx6q67lhms.cloudfront.net/fmd0enA7rjnYGIEwiFOjvjEci_base64.jpg",
"https://d1hhqx6q67lhms.cloudfront.net/nL0mJuxcncXvNJRBs1k0kiwQR_sample_photo.jpg"
],
"description": "First dispute",
"dueDate": "2025-04-12T14:02:24.664Z",
"category": "SCAM",
"enableConversation": true,
"createdAt": "2025-04-09T14:02:24.666Z",
"merchant": {
"id": "3aed8fe9-2c60-48fe-bea4-71ea8c8f3c84",
"businessName": "Kimpembe"
}
},
{
"id": "29cff02a-6b80-45b7-ac90-9c7698419286",
"amount": 2000,
"status": "AWAITING_FEEDBACK",
"transactionReference": "random-reference",
"attachments": [
"https://d1hhqx6q67lhms.cloudfront.net/oQ2FTD5XXQNHSwg6nGkSVoAa8_base64.jpg",
"https://d1hhqx6q67lhms.cloudfront.net/XwErif9ocKgsjovQzxG7r3Znq_sample_photo.jpg"
],
"description": "First dispute",
"dueDate": "2025-04-12T14:00:14.195Z",
"category": "SCAM",
"enableConversation": true,
"createdAt": "2025-04-09T14:00:14.197Z",
"merchant": {
"id": "3aed8fe9-2c60-48fe-bea4-71ea8c8f3c84",
"businessName": "Kimpembe"
}
},
{
"id": "1ab8df7b-ed87-4606-9354-0f78f6fa6280",
"amount": 2000,
"status": "AWAITING_FEEDBACK",
"transactionReference": "random-reference",
"attachments": [
"https://d1hhqx6q67lhms.cloudfront.net/uTwPIW6qdF4t7Nc9RQjMLjEPS_base64.jpg",
"https://d1hhqx6q67lhms.cloudfront.net/zHOSMprchjMycB2rBM3gYedav_sample_photo.jpg"
],
"description": "First dispute",
"dueDate": "2025-04-12T13:59:25.729Z",
"category": "SCAM",
"enableConversation": true,
"createdAt": "2025-04-09T13:59:25.730Z",
"merchant": {
"id": "3aed8fe9-2c60-48fe-bea4-71ea8c8f3c84",
"businessName": "Kimpembe"
}
},
{
"id": "21c771b0-9e6f-4577-b981-067ca177aa11",
"amount": 2000,
"status": "AWAITING_FEEDBACK",
"transactionReference": "random-reference",
"attachments": [
"https://d1hhqx6q67lhms.cloudfront.net/4f8XQ26v29tA68MkVa2cl3Nel_base64.jpg",
"https://d1hhqx6q67lhms.cloudfront.net/6HlTdb0v4PM88PxLKlzryVOjH_sample_photo.jpg"
],
"description": "First dispute",
"dueDate": "2025-04-12T13:50:58.901Z",
"category": "SCAM",
"enableConversation": true,
"createdAt": "2025-04-09T13:50:58.902Z",
"merchant": {
"id": "3aed8fe9-2c60-48fe-bea4-71ea8c8f3c84",
"businessName": "Kimpembe"
}
},
{
"id": "83f46863-9c1f-4348-8494-47c1e39bcde5",
"amount": 2000,
"status": "AWAITING_FEEDBACK",
"transactionReference": "random-reference",
"attachments": [],
"description": "First dispute",
"dueDate": "2025-04-12T13:50:23.917Z",
"category": "SCAM",
"enableConversation": true,
"createdAt": "2025-04-09T13:50:23.920Z",
"merchant": {
"id": "3aed8fe9-2c60-48fe-bea4-71ea8c8f3c84",
"businessName": "Kimpembe"
}
},
{
"id": "d0257178-8049-4656-be9d-d0d23cdb1b6f",
"amount": 5000,
"status": "AWAITING_FEEDBACK",
"transactionReference": "random-reference",
"attachments": [],
"description": "First dispute",
"dueDate": "2025-04-12T13:48:47.569Z",
"category": "SCAM",
"enableConversation": true,
"createdAt": "2025-04-09T13:48:47.570Z",
"merchant": {
"id": "3aed8fe9-2c60-48fe-bea4-71ea8c8f3c84",
"businessName": "Kimpembe"
}
}
]
}
}Dispute
All Disputes
GET
/
dispute
All Disputes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
AWAITING_FEEDBACK | RESOLVED | REJECTED | IN_PROGRESS | CLOSED
SCAM | CASHBACK | TRANSFER | CHARGEBACK
⌘I